import { gql } from "@apollo/client";

export const CREATE_PIPELINE = gql`
  mutation CreatePipeline($pipeline: CreatePipelineInput!) {
    createPipeline(pipeline: $pipeline) {
      id
      projectId
      branch
      name
      workUnitMetadata {
        version
        units {
          type
          scripts
        }
      }
    }
  }
`;

export const UPDATE_PIPELINE = gql`
  mutation UpdatePipeline($pipeline: UpdatePipelineInput!) {
    updatePipeline(pipeline: $pipeline) {
      id
      projectId
      branch
      name
      workUnitMetadata {
        version
        units {
          type
          scripts
        }
      }
    }
  }
`;

export const DELETE_PIPELINE = gql`
  mutation DeletePipeline($id: String!) {
    deletePipeline(id: $id)
  }
`;
